/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.viewer.client.form;

import java.io.Serializable;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public class ApplicationVersionForm implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	protected Long mId;
	protected String mName;
	protected ApplicationForm mApplication;
	/**
	 * @return the appVersionId
	 */
	public Long getId() {
		return mId;
	}
	/**
	 * @param appVersionId the appVersionId to set
	 */
	public void setId(Long appVersionId) {
		this.mId = appVersionId;
	}
	/**
	 * @return the application
	 */
	public ApplicationForm getApplication() {
		return mApplication;
	}
	/**
	 * @param application the application to set
	 */
	public void setApplication(ApplicationForm application) {
		this.mApplication = application;
	}
	/**
	 * @return the appVersionName
	 */
	public String getName() {
		return mName;
	}
	/**
	 * @param appVersionName the appVersionName to set
	 */
	public void setName(String appVersionName) {
		this.mName = appVersionName;
	}
	
	
}
