/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.viewer.client.paramchooser.old;

import org.appspy.viewer.client.ViewerModule;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public abstract class AbstractParamChooser implements OldParamChooser {
	protected ViewerModule mAdminModule = null;
	protected String mValue = null;

	/* (non-Javadoc)
	 * @see org.appspy.admin.client.paramchooser.ParamChooser#getAdminModuleService()
	 */
	public ViewerModule getAdminModule() {
		return mAdminModule;
	}

	/* (non-Javadoc)
	 * @see org.appspy.admin.client.paramchooser.ParamChooser#setAdminModuleService(org.appspy.admin.client.rpc.AdminModuleService)
	 */
	public void setAdminModule(ViewerModule adminModule) {
		mAdminModule = adminModule;
	}

	/* (non-Javadoc)
	 * @see org.appspy.admin.client.paramchooser.ParamChooser#getValue()
	 */
	public String getValue() {
		return mValue;
	}

	/* (non-Javadoc)
	 * @see org.appspy.admin.client.paramchooser.ParamChooser#setValue(java.lang.String)
	 */
	public void setValue(String value) {
		mValue = value;
	}

}
