/*
 * Copyright (c) 2008 appspy.org, Contributors.
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 
 * Unless required by applicable law or agreed to in writing, software distributed under the 
 * License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, 
 * either express or implied. See the License for the specific language governing permissions 
 * and limitations under the License. */

package org.appspy.viewer.client.paramchooser.old;

import org.appspy.viewer.client.ViewerModule;

import com.gwtext.client.widgets.Component;
import com.gwtext.client.widgets.form.TextField;

/**
 * @author Olivier HEDIN / olivier@appspy.org
 */
public interface OldParamChooser {
	public void setAdminModule(ViewerModule adminModule);
	public ViewerModule getAdminModule();
	
	public String getValue();
	public void setValue(String value);
	
	public void updateTextField(TextField textField);

	public Component getChooserComponent();
}